Bug 48917 - ApacheConfig.java update windows default module mod_jk.dll -> mod_jk.so
ApacheConfig.java update windows default module mod_jk.dll -> mod_jk.so
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Connectors
6.0.26
PC Windows Vista
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-03-15 17:57 UTC by Todd Hicks
Modified: 2010-04-20 13:38 UTC (History)
0 users



Attachments
update to line 138 of ApacheConfig.java (795 bytes, text/plain)
2010-03-15 17:57 UTC, Todd Hicks
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Todd Hicks 2010-03-15 17:57:28 UTC
Created attachment 25132 [details]
update to line 138 of ApacheConfig.java 

The mod_jk connector for windows is distributed as mod_jk.so.
The current implementation of org.apache.jk.config.ApacheConfig sets the default location of mod_jk Apache plug-in as modules/mod_jk.dll.
Patch is attached updating line 138 of ApacheConfig.java
Comment 1 Mark Thomas 2010-03-15 18:02:02 UTC
Note that this class (actually the whole o.a.jk package) has been removed for Tomcat 7 onwards.
Comment 2 Todd Hicks 2010-03-15 19:13:25 UTC
Understood. Any chance it will be fixed for 6.x though?
Comment 3 Mark Thomas 2010-03-30 23:04:05 UTC
Sure. I have proposed (and voted for) your patch.
Comment 4 Mark Thomas 2010-04-20 13:38:08 UTC
The patch has been applied to 6.0.x and will be included in 6.0.27 onwards.

Thanks for your contribution.